Package org.eclipse.emf.cdo.common.util

# Interface URIHandlerRegistry

public interface URIHandlerRegistry

Since:
  4.13
Author:
  Eike Stepper

## Field Summary

Fields
Modifier and Type
Field
Description
`static final URIHandlerRegistry`
`INSTANCE`

## Method Summary

Modifier and Type
Method
Description
`URIHandler`
`addURIHandler(String scheme, URIHandler handler)`
`URIHandler`
`getURIHandler(String scheme)`
`URIHandler`
`removeURIHandler(String scheme)`

## Field Details

### INSTANCE

static final URIHandlerRegistry INSTANCE

## Method Details

### addURIHandler

URIHandler addURIHandler(String scheme, URIHandler handler)

### removeURIHandler

URIHandler removeURIHandler(String scheme)

### getURIHandler

URIHandler getURIHandler(String scheme)